Loading...
Searching...
No Matches
seqan3::mask_printer< mask_t > Struct Template Reference
Alphabet » Mask

The printer used for formatted output of seqan3::mask alphabet. More...

`#include <seqan3/alphabet/detail/debug_stream_alphabet.hpp>`

Inheritance diagram for seqan3::mask_printer< mask_t >:
[legend]

## Public Member Functions

template<typename stream_t>
constexpr void | operator() (stream_t &stream, mask_t const arg) const noexcept
| Print the mask alphabet to the stream.

## Detailed Description

template<std::same_as< mask > mask_t>
struct seqan3::mask_printer< mask_t >

The printer used for formatted output of seqan3::mask alphabet.

Prints "MASKED" if the letter is masked and "UNMASKED" otherwise.

Template Parameters

  mask_t | The type of the alphabet to be printed. Must be seqan3::mask.

## Member Function Documentation

## operator()()

template<std::same_as< mask > mask_t>
template<typename stream_t>

void seqan3::mask_printer< mask_t >::operator() | ( | stream_t & | stream,
|  | mask_t const | arg ) const

inline constexpr noexcept

Print the mask alphabet to the stream.

Template Parameters

  stream_t | The type of the stream.

Parameters

  [in,out] | stream | The stream to print to.
  [in] | arg | The mask alphabet letter.

The documentation for this struct was generated from the following file:

- debug_stream_alphabet.hpp

Hide me